Summary: The shared library for the S-Lang extension language.
Name: slang
%define version 1.4.4
Version: %{version}
Release: 6tr
Copyright: GPL
Group: Libraries/Runtime
Source: ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Url: ftp://space.mit.edu/pub/davis/slang/
Buildroot: /var/tmp/slang-root

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package devel
Summary: The static library and header files for development using S-Lang.
Group: Libraries/Development
Requires: slang

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%changelog
* Tue Mar  6 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 1.4.4

* Tue Jan 25 2000 Tore Olsen <toreo@trustix.com>
- upgraded to 1.4.0
- removed locale files

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- libslang.so goes in -devel

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.2.2 with buildroot.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- rebuilt to find terminfo in /usr/share

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%prep
%setup

%build
%configure --prefix=%{_prefix}
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --includedir=/usr/include/slang
make elf all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/slang

make prefix=$RPM_BUILD_ROOT/usr install_include_dir=$RPM_BUILD_ROOT/usr/include/slang install-elf install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/lib/libslang.so.*

%files devel
%doc doc
/usr/lib/libslang.a
/usr/lib/libslang.so
/usr/include/slang
